Bug 473548 - problem with ulogd mysql with selinux
problem with ulogd mysql with selinux
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ulogd (Show other bugs)
10
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-29 05:43 EST by Jean-Baptiste Vignaud
Modified: 2009-12-18 02:01 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:01:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jean-Baptiste Vignaud 2008-11-29 05:43:27 EST
Description of problem:

it seems that selinux is preventing the ulogd_mysql to communicate with mysql...

SELINUX=enforcing
SELINUXTYPE=targeted

i used audit2allow -d -M ulogdmysql

and it created this :

module ulogdmysql 1.0;

require {
        type unlabeled_t;
        type mysqld_port_t;
        type ulogd_t;
        type etc_t;
        class tcp_socket { write name_connect setopt shutdown read create connect };
        class packet { recv send };
        class association recvfrom;
        class file { read getattr };
}

#============= ulogd_t ==============
allow ulogd_t etc_t:file { read getattr };
allow ulogd_t mysqld_port_t:tcp_socket name_connect;
allow ulogd_t self:tcp_socket { write setopt shutdown read create connect };
allow ulogd_t unlabeled_t:association recvfrom;
allow ulogd_t unlabeled_t:packet { recv send };


semodule -i ulogdmysql.pp did not worked very well it returned me :

libsepol.module_package_read_offsets: wrong magic number for module package:  expected 0xf97cff8f, got 0x646f6d0a

I'v seen that there is an existing ulogd module for selinux but maybe the mysql part was forgotten ?
Comment 1 Jean-Baptiste Vignaud 2008-11-29 20:40:32 EST
ok got semodule -i ulogdmysql.pp to work.

no more selinux errors after this local rule. Maybe it would be interesting to add this to standard selinux ?
Comment 2 Bug Zapper 2009-11-18 04:03:50 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 02:01:35 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.